commit:     cf5d73cc18f72f1d5375f32568fc2a1bc9aac8fd
Author:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Sun Nov  3 20:47:03 2024 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Sun Nov  3 20:47:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf5d73cc

sys-devel/patch: add 2.7.6_p20241103

New alpha release after 7 years.

https://lists.gnu.org/archive/html/bug-patch/2024-05/msg00000.html
https://lists.gnu.org/archive/html/bug-patch/2024-11/msg00000.html

Bug: https://bugs.gentoo.org/898598
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>
Acked-by: Sam James <sam <AT> gentoo.org>

 sys-devel/patch/Manifest                     |  2 +
 sys-devel/patch/patch-2.7.6_p20241103.ebuild | 76 ++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/sys-devel/patch/Manifest b/sys-devel/patch/Manifest
index 612a9aae3b54..8da8b1d590ac 100644
--- a/sys-devel/patch/Manifest
+++ b/sys-devel/patch/Manifest
@@ -1,2 +1,4 @@
 DIST patch-2.7.6.tar.xz 783756 BLAKE2B 
e3dd2d155a94c39cb60eafc26677e84de14c3a6d5814dff69de091ded52f21862490970254297795f2c42a0c3203f7e88a8f65bb66968f8dfd6e066bf53f2dfb
 SHA512 
fcca87bdb67a88685a8a25597f9e015f5e60197b9a269fa350ae35a7991ed8da553939b4bbc7f7d3cfd863c67142af403b04165633acbce4339056a905e87fbd
 DIST patch-2.7.6.tar.xz.sig 801 BLAKE2B 
8f2decb10402ecf0208d05ea7cce3bae565d31ee2bb2a118367c117d25b158d8bd525cae654ec0c0e2c036cc8f47a331edc1bb10b100683ade64dfa3b651988b
 SHA512 
1302a1110dcda4f3d83b5263415d72be55c46dae0efb1c123e9c346154e09def5657004bbe7249e2d014555349410e7a5217140dd8852331235f75bcc757351b
+DIST patch-2.7.6_p20241103.tar.xz 903028 BLAKE2B 
874f390bd9a3ed2c5da59c41c708bf41d9bf3bcfe799a0647c7382013793a29ec331df82510424ff2fd9b280e0594822d08eae1074af774d57f625214edc3578
 SHA512 
29db065dd17e25aa562acb1d7ba6be780eed59c2cc9b74e76b5d5b2dac1768e25e8a28acde0907825f6d863a7e14ede33537c89361624e3dcfbb6c0fa6fb0cf2
+DIST patch-2.7.6_p20241103.tar.xz.sig 833 BLAKE2B 
3a065dd0c8f83a0287f091536fa89a9914272ae49bdd2b67f91173365789275427e52f20bfcff50c65194a97e96cd07201781d1d13eb84f0adc2d52d741d8598
 SHA512 
4ee1151deced3dab999794913a2bfc54096cf42a9c0757b192b7fad71ecd6ec28f4f1451818262f154240e909654253d20b41a555230d260c9c4d29f36dd54ba

diff --git a/sys-devel/patch/patch-2.7.6_p20241103.ebuild 
b/sys-devel/patch/patch-2.7.6_p20241103.ebuild
new file mode 100644
index 000000000000..05897044befe
--- /dev/null
+++ b/sys-devel/patch/patch-2.7.6_p20241103.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/patch.asc
+inherit flag-o-matic verify-sig
+
+DESCRIPTION="Utility to apply diffs to files"
+HOMEPAGE="https://www.gnu.org/software/patch/patch.html";
+if [[ ${PV} == 9999 ]] ; then
+       EGIT_REPO_URI="https://git.savannah.gnu.org/git/patch.git";
+       inherit git-r3
+elif [[ ${PV} = *_p* ]] ; then
+       # Note: could put this in devspace, but if it's gone, we don't want
+       # it in tree anyway. It's just for testing.
+       MY_SNAPSHOT="$(ver_cut 1-3).200-be8b"
+       SRC_URI="https://meyering.net/patch/patch-${MY_SNAPSHOT}.tar.xz -> 
${P}.tar.xz"
+       SRC_URI+=" verify-sig? ( 
https://meyering.net/patch/patch-${MY_SNAPSHOT}.tar.xz.sig -> ${P}.tar.xz.sig )"
+       S="${WORKDIR}"/${PN}-${MY_SNAPSHOT}
+else
+       SRC_URI="mirror://gnu/patch/${P}.tar.xz"
+       SRC_URI+=" verify-sig? ( mirror://gnu/patch/${P}.tar.xz.sig )"
+
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="static test xattr"
+RESTRICT="!test? ( test )"
+
+RDEPEND="xattr? ( sys-apps/attr )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       test? ( sys-apps/ed )
+       verify-sig? ( sec-keys/openpgp-keys-patch )
+"
+
+src_unpack() {
+       if [[ ${PV} == 9999 ]] ; then
+               git-r3_src_unpack
+
+               cd "${S}" || die
+               ./bootstrap || die
+       elif use verify-sig ; then
+               verify-sig_verify_detached "${DISTDIR}"/${P}.tar.xz{,.sig}
+       fi
+
+       default
+}
+
+src_configure() {
+       use static && append-ldflags -static
+
+       local myeconfargs=(
+               $(use_enable xattr)
+               # rename to gpatch for better BSD compatibility
+               --program-prefix=g
+       )
+       # Do not let $ED mess up the search for `ed` 470210.
+       ac_cv_path_ED=$(type -P ed) \
+               econf "${myeconfargs[@]}"
+}
+
+src_test() {
+       emake check gl_public_submodule_commit=
+}
+
+src_install() {
+       default
+
+       # symlink to the standard name
+       dosym gpatch /usr/bin/patch
+       dosym gpatch.1 /usr/share/man/man1/patch.1
+}

Reply via email to